- Home
- API Enriched
- Support
- operate
- Ping
Ping
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/ping';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"count":1,"dest":{"hostname":"example","ip":"example"},"interval":1,"intf":{"any_intf":{},"intf":"example"},"namespace":"example","node":"example","pkt_size":1,"site":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/ping \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "count": 1, "dest": { "hostname": "example", "ip": "example" }, "interval": 1, "intf": { "any_intf": {}, "intf": "example" }, "namespace": "example", "node": "example", "pkt_size": 1, "site": "example" }'Run ping to a destination.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site from which ping is initiated.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to run ping to a destination.
object
Number of ping requests to be sent.
object
Exclusive with [IP] DNS name of the host.
Exclusive with [hostname] IP address of the host.
Interval between ping requests, in milliseconds.
object
object
Exclusive with [any_intf] Name of the chosen interface on the node.
Namespace for which the request is sent (system)
Name of the node from which ping is initiated Required: YES.
Ping packet size.
Name of the site from which ping is initiated.
Examplegenerated
{ "count": 1, "dest": { "hostname": "example", "ip": "example" }, "interval": 1, "intf": { "any_intf": {}, "intf": "example" }, "namespace": "example", "node": "example", "pkt_size": 1, "site": "example"}Responses
Section titled “Responses”A successful response.
Response to the ping request.
object
Average round trip time.
Destination address used for ping.
Number of packets lost.
Maximum round trip time.
Minimum round trip time.
Number of responses received.
Number of packets sent.
Standard Deviation RTT.
Examplegenerated
{ "avg_rtt": "example", "dest": "example", "lost": 1, "max_rtt": "example", "min_rtt": "example", "received": 1, "sent": 1, "std_dev_rtt": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example